Loading...
Searching...
No Matches
XrdSysPwd Class Reference

`#include <XrdSysPwd.hh>`

Collaboration diagram for XrdSysPwd:

## Public Member Functions

| XrdSysPwd ()
| XrdSysPwd (const char *Usr, struct passwd **pwP)
| XrdSysPwd (uid_t Uid, struct passwd **pwP)
| ~XrdSysPwd ()
struct passwd * | Get (const char *Usr)
struct passwd * | Get (uid_t Uid)

## Public Attributes

int | rc

## Detailed Description

Definition at line 36 of file XrdSysPwd.hh.

## Constructor & Destructor Documentation

## XrdSysPwd() [1/3]

XrdSysPwd::XrdSysPwd | ( |  | ) |

inline

Definition at line 52 of file XrdSysPwd.hh.

: rc(2) {}
XrdSysPwd::rc
int rc
Definition XrdSysPwd.hh:40

References rc.

## XrdSysPwd() [2/3]

XrdSysPwd::XrdSysPwd | ( | const char * | Usr,
|  | struct passwd ** | pwP )

inline

Definition at line 54 of file XrdSysPwd.hh.

{rc = getpwnam_r(Usr,&pwStruct,pwBuff,sizeof(pwBuff),pwP);}

References rc.

## XrdSysPwd() [3/3]

XrdSysPwd::XrdSysPwd | ( | uid_t | Uid,
|  | struct passwd ** | pwP )

inline

Definition at line 57 of file XrdSysPwd.hh.

{rc = getpwuid_r(Uid,&pwStruct,pwBuff,sizeof(pwBuff),pwP);}

References rc.

## ~XrdSysPwd()

XrdSysPwd::~XrdSysPwd | ( |  | ) |

inline

Definition at line 60 of file XrdSysPwd.hh.

{}

## Member Function Documentation

## Get() [1/2]

struct passwd * XrdSysPwd::Get | ( | const char * | Usr | ) |

inline

Definition at line 42 of file XrdSysPwd.hh.

{rc = getpwnam_r(Usr,&pwStruct,pwBuff,sizeof(pwBuff),&Ppw);
return Ppw;
}

References rc.

Referenced by ParseArguments(), and XrdCl::PlugInManager::ProcessEnvironmentSettings().

Here is the caller graph for this function:

## Get() [2/2]

struct passwd * XrdSysPwd::Get | ( | uid_t | Uid | ) |

inline

Definition at line 47 of file XrdSysPwd.hh.

{rc = getpwuid_r(Uid,&pwStruct,pwBuff,sizeof(pwBuff),&Ppw);
return Ppw;
}

References rc.

## Member Data Documentation

## rc

int XrdSysPwd::rc

Definition at line 40 of file XrdSysPwd.hh.

Referenced by XrdSysPwd(), XrdSysPwd(), XrdSysPwd(), Get(), and Get().

The documentation for this class was generated from the following file:

- XrdSysPwd.hh